Bug 1323060 (CVE-2016-3994) - CVE-2016-3994 imlib2: out of bound read in GIF loader
Summary: CVE-2016-3994 imlib2: out of bound read in GIF loader
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-3994
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1323063 1323064 1323062
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 07:33 UTC by Andrej Nemec
Modified: 2019-09-29 13:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:50:11 UTC


Attachments (Terms of Use)
Silghtly modified patch from the Debian bug (1.13 KB, patch)
2016-04-01 13:36 UTC, Tomas Smetana
no flags Details | Diff

Description Andrej Nemec 2016-04-01 07:33:50 UTC
A vulnerability was found in a way imlib2 processes GIF files. A specially crafted file could cause the imlib2 to crash, or even expose some of the host memory.

Original bug report (reproducer attached):

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=785369

Comment 1 Andrej Nemec 2016-04-01 07:34:45 UTC
Created imlib2 tracking bugs for this issue:

Affects: fedora-all [bug 1323062]
Affects: epel-6 [bug 1323063]
Affects: epel-7 [bug 1323064]

Comment 2 Tomas Smetana 2016-04-01 13:36:10 UTC
Created attachment 1142568 [details]
Silghtly modified patch from the Debian bug

Comment 4 Fedora Update System 2016-04-13 07:23:03 UTC
imlib2-1.4.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-23 20:07:13 UTC
imlib2-1.4.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-05-24 01:21:50 UTC
imlib2-1.4.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:50:11 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.